Developer Documentation

Public Member Functions | List of all members
OpenMesh::SmartFaceHandle Struct Reference
Inheritance diagram for OpenMesh::SmartFaceHandle:

## Public Member Functions
| SmartFaceHandle (int _idx=-1, const PolyConnectivity *_mesh=nullptr)
SmartHalfedgeHandle | halfedge () const
| Returns one of the halfedges of the face.
PolyConnectivity::ConstFaceVertexRange | vertices () const
| Returns a range of vertices incident to the face (PolyConnectivity::fv_range())
PolyConnectivity::ConstFaceHalfedgeRange | halfedges () const
| Returns a range of halfedges of the face (PolyConnectivity::fh_range())
PolyConnectivity::ConstFaceEdgeRange | edges () const
| Returns a range of edges of the face (PolyConnectivity::fv_range())
PolyConnectivity::ConstFaceFaceRange | faces () const
| Returns a range adjacent faces of the face (PolyConnectivity::ff_range())
uint | valence () const
| Returns the valence of the face.
bool | is_boundary () const
| Returns true iff the face lies at the boundary (i.e. one of the edges is boundary)
Public Member Functions inherited from OpenMesh::SmartBaseHandle
| SmartBaseHandle (const PolyConnectivity *_mesh=nullptr)
const PolyConnectivity * | mesh () const
| Get the underlying mesh of this handle.
Public Member Functions inherited from OpenMesh::FaceHandle
| FaceHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)

## Detailed Description

Definition at line 162 of file SmartHandles.hh.

The documentation for this struct was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/SmartHandles.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Core/Mesh/SmartHandles.cc